Package skyview.survey

# Interface ImageGenerator

All Known Implementing Classes:
  `AkariGenerator`, `DSS2ImageGenerator`, `HipsGenerator`, `NeatGenerator`, `SIAP2Generator`, `SIAPGenerator`, `TwoMASSGenerator`

public interface ImageGenerator
This interface is implemented by classes that dynamically generate a list of images (or more precisely the spells through which the images may be created by an ImageFactory).

## Method Summary

Modifier and Type
Method
Description
`void`
`getImages(double ra, double dec, double size, ArrayList<String> candidates)`

## Method Details

### getImages

void getImages(double ra, double dec, double size, ArrayList<String> candidates) throws Exception

Throws:
  `Exception`